#version 330 core
layout (location = 0) in vec3 aPosition;
uniform mat4 uTransform;
uniform mat4 uView;

out vec3 vertexColor;

void main() {
	vertexColor = vec3(1.0, 0.1, 0.1);
	gl_Position = uView * uTransform * vec4(aPosition, 1.0);
}